<?php
declare(strict_types=1);

namespace Inti\Media;

/**
 * Class ConfigProvider
 *
 * @package Inti\Media
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-media
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'media' => [
                'path' => '',
            ],

            'filesystems' => [
                'image' => [
                    'adapter' => 'image',
                    'options' => [
                        'location' => getcwd(),
                    ],
                ],
            ],

            'dependencies' => [
                'factories' => [
                    'IntiMedia' => Container\ApplicationFactory::class,
                ],
            ],

            'filesystem_adapters' => [
                'aliases' => [
                    'image' => Filesystem\Adapter\ImageFilesystemAdapter::class,
                ],

                'factories' => [
                    Filesystem\Adapter\ImageFilesystemAdapter::class => Filesystem\Adapter\ImageFilesystemAdapterFactory::class,
                ],
            ],
        ];
    }
}
